Package org.drinkless.tdlib

# Class TdApi.GetMessageFileType

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.MessageFileType>
org.drinkless.tdlib.TdApi.GetMessageFileType

Enclosing class:
  `TdApi`

public static class TdApi.GetMessageFileType extends TdApi.Function<TdApi.MessageFileType>
Returns information about a file with messages exported from another application.

Returns `MessageFileType`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `messageFileHead`
  Beginning of the message file; up to 100 first lines.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMessageFileType()`
  Default constructor for a function, which returns information about a file with messages exported from another application.
  `GetMessageFileType(String messageFileHead)`
  Creates a function, which returns information about a file with messages exported from another application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageFileHead

    public String messageFileHead
    Beginning of the message file; up to 100 first lines.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetMessageFileType

    public GetMessageFileType()
    Default constructor for a function, which returns information about a file with messages exported from another application.

    Returns `MessageFileType`

  - ### GetMessageFileType

    public GetMessageFileType(String messageFileHead)
    Creates a function, which returns information about a file with messages exported from another application.

    Returns `MessageFileType`

    Parameters:
      `messageFileHead` - Beginning of the message file; up to 100 first lines.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.MessageFileType>`
    Returns:
      this.CONSTRUCTOR